Name: p2v-util
Version: 0.10
Release: 6
License: GPL
Summary: Util to allow conversion of a physical system to a OracleVM virtual machine
Group: Applications/System
AutoReqProv: yes
Source0: p2v-util-%{PACKAGE_VERSION}.tar.gz
Source1: LICENSE
Source2: COPYING
Patch0: bug8210957-check-for-key-file-between-key-and-request-commands.patch
Patch1: bugz8875-write-seven-sd-devices-into-vm.cfg.patch
Patch2: ovs-bug8809382-use-dhcpNetDevice.patch
Patch3: ovs-bug8757528-report-image-size-in-header.patch
Patch4: ovs-bug8903796.patch

Requires: pykickstart

BuildRoot: %{_tmppath}/p2v-util-%{PACKAGE_VERSION}

%description
This package provides a utility that can be used from within the anaconda
installation program to convert a physical machine into a OracleVM virtual
machine, and push the disk image and configuration file to the OracleVM
Manager or other location

%prep
%setup -q
%patch0 -p1 
%patch1 -p1 
%patch2 -p1 
%patch3 -p1 
%patch4 -p1 

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/python2.4/site-packages/p2vdata
/usr/lib/python2.4/site-packages/p2vkickstart
/usr/lib/python2.4/site-packages/p2vsslhttpserver
/usr/lib/python2.4/site-packages/p2vsys
/usr/lib/python2.4/site-packages/p2vtransmit
/usr/lib/python2.4/site-packages/p2vtui

%changelog
* Mon Sep 21 2009 Kevin Lyons <kevin.x.lyons@oracle.com> 0.10-6
- Fix 404 error page when attempting to browse web server
  [bug 8903796]

* Tue Sep  8 2009 Kevin Lyons <kevin.x.lyons@oracle.com> 0.10-5
- Properly report size of disk image symlinks in header
  [bug 8757528]

* Tue Aug 18 2009 Kevin Lyons <kevin.x.lyons@oracle.com> 0.10-4
- Use dhcpNetDevice if pumpNetDevice call fails [bug 8809382]

* Tue May 26 2009 Kevin Lyons <kevin.x.lyons@oracle.com> 0.10-3
- Write 4 hd* and 7 sd* devices into vm.cfg file [bugz 8875]

* Mon Feb 2 2009 Kevin Lyons <kevin.x.lyons@oracle.com> 0.10-2
- Increase the sleep inbetween the PEM key creation and the PEM
  request creation to prevent intermittent failures.

* Wed Aug 27 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.10-1
- Add copyright information
- Combine patch files into source tarball

* Wed Aug 27 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.9-11
- Improve kickstart checking of vm options [bugz 7000]
- Fix bug in regular expression in
  p2v-util-set-content-length-header-for-disk-images.patch
  [bugz 6993, 7007]
- Roll back patch to set type of disk in vm.cfg.  All disks
  will now be hd* [bugz 6992]

* Mon Aug 25 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.9-10
- Set the mime types for the files in the webserver directory
- Create cgi-bin directory with utility link to reboot system
- Force HTTPS transfer mode
- Set the Content-length header for the disk image links
- Set the disk type proper in the vm.cfg file depending on whether
  it is an IDE or SCSI disk
- Disable listing of LVM and MD devices in disk list

* Thu Aug 22 2008 Srinivas Maturi <srinivas.maturi@oracle.com> 0.9-9
- Backout Patch20 and Patch26 [kurt.hackel@oracle.com]
- Update Patch24 and Patch27, as these are out of sync with Patch20 and 
  Patch24 removed
- Update path to 'ln' and chmod the disk device in Patch17

* Thu Aug 21 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.9-8
- Ignore p2v directives when scanning kickstart file for the 
  first time [bugz 6742]
- Tolerant errors when attempting to get the IP of an interface
  which may occur during kickstart installs
- Properly generate resolve.conf file for manual network
  settings [bugz 6967]

* Tue Aug 19 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.9-7
- Store dialog values when users steps backwards [bugz 6899]
- Make sure keymap parameter in vm.cfg is 'en-us' not
  'en_us' [bugz 6963]
- Fix handling of kickstart files [bugz 6742]

* Mon Aug 11 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.9-6
- Fix dialog message when user supplies too little memory [bugz 6909]
- Use symbolic links to disk devices rather than hard links [bugz 6897]
- Increase the size of the read buffer to 32k and turn on pipelining
  to speed up SCP transfer [bugz 6918]
- Improve the error handling of the scp copy logic [bugz 6921]
- Create target dir on remote host if it does not exist [bugz 6921]
- Reduce the size of the network config screen so that the tip bar
  at the bottom of the screen is visible [bugz 6914]
- Insert parseable breaks into catalog file between output of each
  command [bugz 6937]
- Use the statically compiled lvm command instead of lvscan [bugz 6923]
- Make sure that the disks listed in vm.cfg have unique hd* names, and that
  any disk beyond the 4th is commented out [bugz 6920]
- Fix a segfault that was occuring just before starting the webserver
  [bugz 6917]
- Improve the web server screen [bugz 6939]
- Start LVM devices [bugz 6922]

* Thu Aug  7 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.9-5
- Fix inifinite loop when using SCP transfer method [bugz 6901]
- Enforce reasonable limits on the user supplied values for vcpus
  and memory [bugz 6909]
- Prevent duplicate disk listings if user goes back to disk setup
  screen [bugz 6904]
- Find the ln binary rather than rely on hard coded path.
  [bugz 6897]
- Improve the "Transfering Files" screen so that the progress is
  updated more regularly [bugz 6898]

* Wed Aug  6 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.9-4
- Fix the disk setup screen to only list disks once and force
  the user to selection at least one disk [bugz 6867]
- Set F12 to be hotkey to move to the next screen [bugz 6869]
- Find the openssl binary rather than rely on hard coded path.
  [bugz 6870]
- Catch exceptions thrown during scp.upload [bugz 6870]
- Clean up the list of devices when LVM volumes are detected

* Tue Aug  5 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.9-3
- Alter the P2VParser so that missing includes are ignored. [bugz 6883]

* Fri Aug  1 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.9-2
- Initial release candidate.

* Thu Jul 22 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.9-1
- More complete version for basic testing.

* Thu Jul 10 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.2-1
- Minimal version sufficient for unit testing OracleVM manager

* Thu Jun 12 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.1-2
- Add patch to prevent crash if kickstart file has 'ovsagent'
  'ovsmgmntif' commands. [bugz 6544]

* Thu Jun 12 2008 Kevin Lyons <kevin.x.lyons@oracle.com> 0.1-1
- Initial packaging.
